import type { CompactTestStringOp } from '../codec/compact/types';
import { AbstractPredicateOp } from './AbstractPredicateOp';
import type { OperationTestString } from '../types';
import { type Path } from '@jsonjoy.com/json-pointer';
import { OPCODE } from '../constants';
import type { AbstractOp } from './AbstractOp';
/**
 * @category JSON Patch Extended
 */
export declare class OpTestString extends AbstractPredicateOp<'test_string'> {
    readonly pos: number;
    readonly str: string;
    readonly not: boolean;
    constructor(path: Path, pos: number, str: string, not: boolean);
    op(): "test_string";
    code(): OPCODE;
    test(doc: unknown): boolean;
    toJson(parent?: AbstractOp): OperationTestString;
    toCompact(parent: undefined | AbstractOp, verbose: boolean): CompactTestStringOp;
}
